For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve all Versions

This endpoint enables retrieving all Versions using pagination and optional filters.

get
/versions
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Query parameters
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.

Default: 0Example: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use this parameter together with the offset for pagination.

Default: 100Example: 100
Responses
200

Returned all requested Versions successfully.

application/json

Pagination information. The offset and limit parameters are used to navigate the list of elements. The _links object contains URLs to navigate the different pages.

idstring · uuidRequired

ID of the list of PostgresVersion resources.

Example: c5c4caea-ddac-5376-bc1e-400b9f93c7a4
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the list of PostgresVersion resources.

Example: /versions
offsetintegerRead-onlyRequired

The offset specified in the request (if none was specified, the default offset is 0).

Example: 0
limitintegerRead-onlyRequired

The limit specified in the request (if none was specified, use the endpoint's default pagination limit).

Example: 42
get/versions
GET /v2/versions HTTP/1.1
Host: postgresql.de-txl.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "c5c4caea-ddac-5376-bc1e-400b9f93c7a4",
  "type": "collection",
  "href": "/versions",
  "items": [
    {
      "id": "2edb9507-fb0e-5f58-a65b-952b43ff3549",
      "type": "postgresversion",
      "href": "/versions/2edb9507-fb0e-5f58-a65b-952b43ff3549",
      "metadata": {},
      "properties": {
        "version": "16",
        "status": "SUPPORTED",
        "comment": "text",
        "canUpgradeTo": [
          "17",
          "18"
        ]
      }
    }
  ],
  "offset": 0,
  "limit": 42,
  "_links": {
    "prev": "http://PREVIOUS-PAGE-URI",
    "self": "http://THIS-PAGE-URI",
    "next": "http://NEXT-PAGE-URI"
  }
}

Last updated

Was this helpful?